<?php
class DeleteDetailAction extends wtActions
{
    public function execute()
    {
        $block      = $this->getRequestParameter( 'block' );
        $i_Id       = $this->getRequestParameter( 'i_Id' );
        $s_TipoProc = $this->getRequestParameter( 's_TipoProc' );
        try 
        {
            $a_Ids = explode( "_", $i_Id );
            $IdCompania      = $a_Ids[0];
            $IdTipoDocumento = $a_Ids[1];
            $NumeroDocumento = $a_Ids[2];
            $Secuencia       = $a_Ids[3];
                
            $o_ALM_TransaccionDetalleDP = new ALM_TransaccionDetalleDP();
            $o_ALM_TransaccionDetalleDP->setIdCompania( ( int ) $IdCompania );
            $o_ALM_TransaccionDetalleDP->setIdTipoDocumento( $IdTipoDocumento );
            $o_ALM_TransaccionDetalleDP->setIdNumeroDocumento( $NumeroDocumento );
            $o_ALM_TransaccionDetalleDP->setIdCondicion( '0' );
            $o_ALM_TransaccionDetalleDP->setIdSecuencia( ( int ) $Secuencia );
            $b_Result = $o_ALM_TransaccionDetalleDP->delete();

            $a_Rs['error']   = false;
            $a_Rs['id']      = $i_Id;
        }
        catch ( Exception $o_Exception )
        {
            $a_Rs['error']   = true;
            $a_Rs['mensaje_error_ex'] = $o_Exception->getMessage();
            $a_Rs['mensaje_error'] = "No se pudo eliminar el registro.";
        }
        echo json_encode( $a_Rs );
        return ViewResponse::NONE;
    }
}